#
# Simcenter Amesim system make file
#


# This makefile has been created using the following cathegory path list
#	$AME
#	$AME/libsig
#	$AME/libmec
#	$AME/libdrv
#	$AME/libeng
#	$AME/libcfd1d
#	$AME/libexh
#	$AME/libhydr
#	$AME/libhcd
#	$AME/libhr
#	$AME/libfi
#	$AME/libth
#	$AME/libthh
#	$AME/libthcd
#	$AME/libcs
#	$AME/libtpf
#	$AME/libac
#	$AME/libheat
#	$AME/libpn
#	$AME/libpcd
#	$AME/libgm
#	$AME/libma
#	$AME/libec
#	$AME/libfc
#	$AME/libtr
#	$AME/libm6dof
#	$AME/libplm
#	$AME/libdv
#	$AME/libicar
#	$AME/libcf
#	$AME/libem
#	$AME/libesc
#	$AME/libeb
#	$AME/libemd
#	$AME/libae
#	$AME/libesg
#	$AME/libess
#	$AME/libgte
#	$AME/libaero
#	$AME/libace
#	$AME/libacf
#	$AME/liblp
#	$AME/libcosim
#	$AME/libmotion
# End category path list
# The MACHINETYPE variable can be used in -L statements
# or otherwise to separate machine dependent code

MACHINETYPE = lnx_x64

# Special make specs for platform

CFLAGS+= -DLINUX -m64 -fPIC -fexceptions
LDFLAGS+= -m64 -O2 -fPIC
ifeq ($(OS),Windows_NT)
AMELIBS:=-L$(AME)/lib/lnx_x64 -lAMESOL -lAME -lrt -lm -ldl -Wl,--as-needed -lgcc_s -Wl,--no-as-needed
else
AMELIBS:=-L$(AME)/lib/lnx_x64 -lAMESOL -lAME -lrt -lm -ldl
endif



# Then the object files
OBJECTS = \
	/media/domi/amesim/simcenter/2022.1/Amesim/submodels/lnx_x64/SCRCALL01.o \
	/media/domi/amesim/simcenter/2022.1/Amesim/submodels/lnx_x64/RSTAT.o

snake_.so: $(OBJECTS) snake_.o
	$(AME)/interfaces/standalonesimulator/lnx_x64/stdsim_dynlink -fexceptions  $(LDFLAGS) -o snake_.so snake_.o $(OBJECTS) \
	-L"/media/domi/amesim/simcenter/2022.1/Amesim/libsig/lib/$(MACHINETYPE)" -lSIG -L"/media/domi/amesim/simcenter/2022.1/Amesim/libmec/lib/$(MACHINETYPE)" -lMEC -L"/media/domi/amesim/simcenter/2022.1/Amesim/libdrv/lib/$(MACHINETYPE)" -lDRV -L"$(AME)/libmec/lib/$(MACHINETYPE)" -lMEC -L"/media/domi/amesim/simcenter/2022.1/Amesim/libeng/lib/$(MACHINETYPE)" -lENG -L"/media/domi/amesim/simcenter/2022.1/Amesim/libcfd1d/lib/$(MACHINETYPE)" -lCFD1D -lpthread -L"$(AME)/libpn/lib/$(MACHINETYPE)" -lPN -L"$(AME)/libeng/lib/$(MACHINETYPE)" -lENG -L"$(AME)/libexh/lib/$(MACHINETYPE)" -lEXH -L"$(AME)/libhydr/lib/$(MACHINETYPE)" -lHYDR -L"$(AME)/libthh/lib/$(MACHINETYPE)" -lTHH -lstdc++ -L"/media/domi/amesim/simcenter/2022.1/Amesim/libexh/lib/$(MACHINETYPE)" -lEXH -L"/media/domi/amesim/simcenter/2022.1/Amesim/libhydr/lib/$(MACHINETYPE)" -lHYDR -L"/media/domi/amesim/simcenter/2022.1/Amesim/libhcd/lib/$(MACHINETYPE)" -lHCD -L"$(AME)/libhydr/lib/$(MACHINETYPE)" -lHYDR -L"/media/domi/amesim/simcenter/2022.1/Amesim/libhr/lib/$(MACHINETYPE)" -lHR -L"$(AME)/libhydr/lib/$(MACHINETYPE)" -lHYDR -L"/media/domi/amesim/simcenter/2022.1/Amesim/libfi/lib/$(MACHINETYPE)" -lFI -L"$(AME)/libhydr/lib/$(MACHINETYPE)" -lHYDR -L"/media/domi/amesim/simcenter/2022.1/Amesim/libth/lib/$(MACHINETYPE)" -lTH -L"$(AME)/libcfd1d/lib/$(MACHINETYPE)" -lCFD1D -lpthread -L"$(AME)/libpn/lib/$(MACHINETYPE)" -lPN -L"$(AME)/libeng/lib/$(MACHINETYPE)" -lENG -L"$(AME)/libexh/lib/$(MACHINETYPE)" -lEXH -L"$(AME)/libhydr/lib/$(MACHINETYPE)" -lHYDR -L"/media/domi/amesim/simcenter/2022.1/Amesim/libthh/lib/$(MACHINETYPE)" -lTHH -lstdc++ -L"/media/domi/amesim/simcenter/2022.1/Amesim/libthcd/lib/$(MACHINETYPE)" -lTHCD -L"$(AME)/libthh/lib/$(MACHINETYPE)" -lTHH -L"/media/domi/amesim/simcenter/2022.1/Amesim/libcs/lib/$(MACHINETYPE)" -lCS -L"/media/domi/amesim/simcenter/2022.1/Amesim/libtpf/lib/$(MACHINETYPE)" -lTPF -L"/media/domi/amesim/simcenter/2022.1/Amesim/libac/lib/$(MACHINETYPE)" -lAC -L"$(AME)/libtpf/lib/$(MACHINETYPE)" -lTPF -L"$(AME)/libma/lib/$(MACHINETYPE)" -lMA -L"$(AME)/libthh/lib/$(MACHINETYPE)" -lTHH -L"/media/domi/amesim/simcenter/2022.1/Amesim/libheat/lib/$(MACHINETYPE)" -lHEAT -L"$(AME)/libpn/lib/$(MACHINETYPE)" -lPN -L"$(AME)/libthh/lib/$(MACHINETYPE)" -lTHH -L"$(AME)/libth/lib/$(MACHINETYPE)" -lTH -L"$(AME)/libtpf/lib/$(MACHINETYPE)" -lTPF  -L"/media/domi/amesim/simcenter/2022.1/Amesim/libpn/lib/$(MACHINETYPE)" -lPN -L"/media/domi/amesim/simcenter/2022.1/Amesim/libpcd/lib/$(MACHINETYPE)" -lPCD -L"$(AME)/libpn/lib/$(MACHINETYPE)" -lPN -L"/media/domi/amesim/simcenter/2022.1/Amesim/libgm/lib/$(MACHINETYPE)" -lGM -L"/media/domi/amesim/simcenter/2022.1/Amesim/libma/lib/$(MACHINETYPE)" -lMA -L"$(AME)/libthh/lib/$(MACHINETYPE)" -lTHH -L"$(AME)/libgm/lib/$(MACHINETYPE)" -lGM -L"/media/domi/amesim/simcenter/2022.1/Amesim/libec/lib/$(MACHINETYPE)" -lEC -L"$(AME)/libfc/lib/$(MACHINETYPE)" -lFC -L"/media/domi/amesim/simcenter/2022.1/Amesim/libtr/lib/$(MACHINETYPE)" -lTR -L"$(AME)/libmec/lib/$(MACHINETYPE)" -lMEC -L"$(AME)/libsig/lib/$(MACHINETYPE)" -lSIG -L"/media/domi/amesim/simcenter/2022.1/Amesim/libm6dof/lib/$(MACHINETYPE)" -lM6DOF -L"$(AME)/libmec/lib/$(MACHINETYPE)" -lMEC -L"/media/domi/amesim/simcenter/2022.1/Amesim/libplm/lib/$(MACHINETYPE)" -lPLM -L"$(AME)/libmec/lib/$(MACHINETYPE)" -lMEC -L"$(AME)/libicar/lib/$(MACHINETYPE)" -lICAR -L"/media/domi/amesim/simcenter/2022.1/Amesim/libdv/lib/$(MACHINETYPE)" -lDV -L"$(AME)/libm6dof/lib/$(MACHINETYPE)" -lM6DOF -L"$(AME)/libmec/lib/$(MACHINETYPE)" -lMEC -L"$(AME)/libsig/lib/$(MACHINETYPE)" -lSIG -L"$(AME)/lib/utils/lib/$(MACHINETYPE)"  -lOASES_$(MACHINETYPE) -L"/media/domi/amesim/simcenter/2022.1/Amesim/libicar/lib/$(MACHINETYPE)" -lICAR -L"/media/domi/amesim/simcenter/2022.1/Amesim/libcf/lib/$(MACHINETYPE)" -lCF -L"/media/domi/amesim/simcenter/2022.1/Amesim/libem/lib/$(MACHINETYPE)" -lEM $(FLUX_MP_LIB) -L"/media/domi/amesim/simcenter/2022.1/Amesim/libesc/lib/$(MACHINETYPE)" -lESC -L"/media/domi/amesim/simcenter/2022.1/Amesim/libeb/lib/$(MACHINETYPE)" -lEB -L"/media/domi/amesim/simcenter/2022.1/Amesim/libemd/lib/$(MACHINETYPE)" -lEMD $(FLUX_MP_LIB) -L"/media/domi/amesim/simcenter/2022.1/Amesim/libae/lib/$(MACHINETYPE)" -lAE -L"/media/domi/amesim/simcenter/2022.1/Amesim/libesg/lib/$(MACHINETYPE)" -lESG -L"/media/domi/amesim/simcenter/2022.1/Amesim/libess/lib/$(MACHINETYPE)" -lESS -L"/media/domi/amesim/simcenter/2022.1/Amesim/libgte/lib/$(MACHINETYPE)" -lGTE -L"/media/domi/amesim/simcenter/2022.1/Amesim/libaero/lib/$(MACHINETYPE)" -lAERO -L"/media/domi/amesim/simcenter/2022.1/Amesim/libace/lib/$(MACHINETYPE)" -lACE -L"/media/domi/amesim/simcenter/2022.1/Amesim/libacf/lib/$(MACHINETYPE)" -lACF -L"$(AME)/libpn/lib/$(MACHINETYPE)" -lPN -L"$(AME)/libthh/lib/$(MACHINETYPE)" -lTHH -L"$(AME)/libgm/lib/$(MACHINETYPE)" -lGM -L"$(AME)/libm6dof/lib/$(MACHINETYPE)" -lM6DOF -L"$(AME)/libmec/lib/$(MACHINETYPE)" -lMEC -L"/media/domi/amesim/simcenter/2022.1/Amesim/liblp/lib/$(MACHINETYPE)" -lLP -L"$(AME)/libtpf/lib/$(MACHINETYPE)" -lTPF -L"/media/domi/amesim/simcenter/2022.1/Amesim/libcosim/lib/$(MACHINETYPE)"  -lamegeneric_cosim -lgeneric_cosim -lrt -ldl -L"/media/domi/amesim/simcenter/2022.1/Amesim/libmotion/lib/$(MACHINETYPE)" -lAMEMOTION  \
	$(AMELIBS)

snake_.o: snake_.c
	$(AME)/interfaces/user_cosim/lnx_x64/ame_user_cosim_dyncompile -fexceptions -I"$(AME)/interfaces/standalonesimulator" -I"$(AME)/interfaces" $(CFLAGS) -o snake_.o snake_.c

.c.o:
	@echo
	@echo "Warning: \"$<\" is newer than the object."
	@echo ""

.f.o:
	@echo
	@echo "Warning: \"$<\" is newer than the object."
	@echo ""

# End of file
